# Generated by Django 2.2.6 on 2019-10-29 12:46

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Snippet',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('snippet', models.TextField(help_text='HTML snippet')),
                ('description', models.CharField(help_text='Human-friendly description of snippet', max_length=1024)),
                ('section', models.CharField(choices=[('head', 'head'), ('body', 'body')], help_text='Section of HTML this should appear in', max_length=32)),
                ('is_active', models.BooleanField(default=True, help_text='Active on site')),
                ('weight', models.IntegerField(default=50, help_text='Weight of snippet. Higher weights appear lower in the rendered template.')),
            ],
        ),
        migrations.AddIndex(
            model_name='snippet',
            index=models.Index(fields=['is_active', 'section', 'weight'], name='snippets_sn_is_acti_0714ef_idx'),
        ),
    ]
